﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Telerik.Windows.Controls;

namespace RadDockingWPF__1072656
{
    public class ViewModel : ViewModelBase
    {
        private bool isHidden;

        public ViewModel()
        {
            this.ClosePaneCommand = new DelegateCommand(OnClosePaneCommandExecute);
        }

        public ICommand ClosePaneCommand { get; set; }

        public bool IsHidden
        {
            get
            { 
                return this.isHidden; 
            }
            set 
            {
                if (this.isHidden != value)
                {
                    this.isHidden = value;
                    this.OnPropertyChanged(() => this.IsHidden);
                }
            }
        }

        private void OnClosePaneCommandExecute(object obj)
        {
            this.IsHidden = this.IsHidden ? false : true;
        }
    }
}
